#include "cgroupdbusreceive.h"

int main(int argc, char **argv)
{
    QCoreApplication app(argc, argv);
    CgroupDbusReceive m_cgroup;

    QDBusConnection connection = QDBusConnection::systemBus();

    if (!connection.registerService(SERVICE_NAME))
    {
        qWarning() << "register dbus service failed" << connection.lastError();
        exit(1);
    }

    if (!connection.registerObject("/com/kylin/CGroup/AppManager", "com.kylin.CGroup.AppManager" ,&m_cgroup, QDBusConnection::ExportAllSlots))
    {
        qWarning() << "register object failed";
        exit(1);
    }
    app.exec();//进入主事件循环并等待，直到调用exit()。返回传递给exit()的值。 如果通过quit()调用exit()，则该值为0。 必须调用此函数才能开始事件处理。主事件循环从窗口系统接收事件，并将这些事件分派给应用程序小部件。
    return 0;
}
