#ifndef CGROUPDEAL_H
#define CGROUPDEAL_H

#include <libcgroup.h>
#include <string>
#include <iostream>
#include <QFile>
#include <QtCore/QObject>
#include <QTextStream>
#include <QDebug>
using namespace std;

class CLibcgroup: public QObject
{
private:
    struct cgroup *ForegroundProcess;  //三个分组的结构体
    struct cgroup *InvisibleProcess;
    struct cgroup *CachedProcess;
    int Wirtecpurate(double rate , string group);
    int Wirtefreezerstate(string state , string group);
public:
    CLibcgroup(void);   //初始化cgroup，给三个分组foreground invisible cached的结构都添加三个子系统cpu memory freezer
    ~CLibcgroup(void);
    int CreateCGroup(); //在内核中创建三个分组foreground invisible cached
    int MoveProcess(int pid, string group); //pid是进程的pid 如162282，group是组名 如“foreground”。移动进程到组
    int DeleteCGroup(string group);         //group是组名 如“foreground”。删除一个组
    int DeleteCGroup(); //删除三个组foreground invisible cached
};

#endif // CGROUPDEAL_H
